--- src/hugin_base/vigra_ext/VignettingCorrection.h~	2016-05-20 11:46:18.000000000 -0700
+++ src/hugin_base/vigra_ext/VignettingCorrection.h	2017-10-23 18:03:23.000000000 -0700
@@ -42,24 +42,24 @@
 
 namespace vigra_ext{
 
-template <class VT1, class VT2, class InvResp, class Adjust>
+template <class vT1, class vT2, class InvResp, class Adjust>
 class VigCorrFlatDivFunctor
 {
 public:
     /** the functor's first argument type
      */
-    typedef VT1 first_argument_type;
+    typedef vT1 first_argument_type;
     
     /** the functor's second argument type
      */
-    typedef VT2 second_argument_type;
+    typedef vT2 second_argument_type;
      
     /** the functor's result type
      */
-    typedef typename vigra::NumericTraits<VT1>::RealPromote result_type;
+    typedef typename vigra::NumericTraits<vT1>::RealPromote result_type;
 
     typedef result_type RVT1;
-    typedef typename vigra::NumericTraits<VT2>::RealPromote RVT2;
+    typedef typename vigra::NumericTraits<vT2>::RealPromote RVT2;
 
     VigCorrFlatDivFunctor(RVT2 mean, const InvResp & fr, const Adjust & adj)
         : m_InvResp(fr), m_Adjust(adj), m_mean(mean)
@@ -82,17 +82,17 @@
     }
 };
 
-template <class VT1, class InvResp, class VigFunc, class Adjust>
+template <class vT1, class InvResp, class VigFunc, class Adjust>
 class VigCorrDivFunctor
 {
 public:
     /** the functor's first argument type
      */
-    typedef VT1 first_argument_type;
+    typedef vT1 first_argument_type;
     
     /** the functor's result type
      */
-    typedef typename vigra::NumericTraits<VT1>::RealPromote result_type;
+    typedef typename vigra::NumericTraits<vT1>::RealPromote result_type;
     typedef result_type RealVT1;
 
     VigCorrDivFunctor(const InvResp & fr, const VigFunc & vf, const Adjust & adj)
@@ -115,13 +115,13 @@
 
 
 
-template <class VT1, class VT2, class InvResp, class Adjust>
+template <class vT1, class VT2, class InvResp, class Adjust>
 class VigCorrFlatAddFunctor
 {
 public:
     /** the functor's first argument type
      */
-    typedef VT1 first_argument_type;
+    typedef vT1 first_argument_type;
     
     /** the functor's second argument type
      */
@@ -129,7 +129,7 @@
      
     /** the functor's result type
      */
-    typedef typename vigra::NumericTraits<VT1>::RealPromote result_type;
+    typedef typename vigra::NumericTraits<vT1>::RealPromote result_type;
 
     typedef result_type RealVT1;
     typedef typename vigra::NumericTraits<VT2>::RealPromote RVT2;
@@ -151,17 +151,17 @@
     }
 };
 
-template <class VT1, class InvResp, class VigFunc, class Adjust>
+template <class vT1, class InvResp, class VigFunc, class Adjust>
 class VigCorrAddFunctor
 {
 public:
     /** the functor's first argument type
      */
-    typedef VT1 first_argument_type;
+    typedef vT1 first_argument_type;
 
     /** the functor's result type
      */
-    typedef typename vigra::NumericTraits<VT1>::RealPromote result_type;
+    typedef typename vigra::NumericTraits<vT1>::RealPromote result_type;
 
     typedef result_type RealVT1;
 
